
Foreman - Bug #3688

Can't edit VMware host after adding raw disk

11/19/2013 08:59 AM - Wannes Van Causbroeck

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When i click edit host after i added a raw disk through Vsphere, i get the following error:

undefined method `thinProvisioned' for #<RbVmomi::VIM::VirtualDiskRawDiskMappingVer1BackingInfo:0x00000007d2adc8>

full trace:

NoMethodError

undefined method `thinProvisioned' for #<RbVmomi::VIM::VirtualDiskRawDiskMappingVer1BackingInfo:0x00000007d2adc8>

app/views/compute_resources_vms/form/_vmware.html.erb:26:in `block in app_views_compute_resources_vms_form

_vmware_html_erb___3629224447530518198_64961900'

app/views/compute_resources_vms/form/_vmware.html.erb:26:in

`_app_views_compute_resources_vms_form__vmware_html_erb___3629224447530518198_64961900'

app/views/hosts/_compute.html.erb:4:in `block in app_views_hosts_compute_html_erb__3886529712672857927_69818491889200'

app/views/hosts/_compute.html.erb:1:in `_app_views_hosts__compute_html_erb__3886529712672857927_69818491889200'

app/views/hosts/_unattended.html.erb:2:in `_app_views_hosts__unattended_html_erb___2264624007407781015_69818497948800'

app/views/hosts/_form.html.erb:79:in `block (2 levels) in app_views_hosts_form_html_erb__3269122963774744318_64173640'

app/helpers/layout_helper.rb:205:in `form_for'

app/views/hosts/_form.html.erb:7:in `block in app_views_hosts_form_html_erb__3269122963774744318_64173640'

app/models/taxonomy.rb:55:in `block (2 levels) in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:143:in `as_location'

app/models/taxonomy.rb:54:in `block in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:108:in `as_org'

app/models/taxonomy.rb:53:in `as_taxonomy'

app/views/hosts/_form.html.erb:5:in `_app_views_hosts__form_html_erb__3269122963774744318_64173640'

app/views/hosts/edit.html.erb:7:in `_app_views_hosts_edit_html_erb___3698344318763456407_64122560'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

Related issues:

Related to Foreman - Feature #3088: Allow user to select thick and thin provi... Closed 09/14/2013

Related to Foreman - Feature #6732: [RFE] RAW Disk Mapping in VMware New 07/22/2014

Has duplicate Foreman - Bug #3745: Issue with editing host with mapped disk. Duplicate 11/25/2013

History

#1 - 11/19/2013 11:47 AM - Dominic Cleal

- Related to Feature #3088: Allow user to select thick and thin provision for vSphere volumes added

#2 - 11/19/2013 11:47 AM - Dominic Cleal

- Category set to Compute resources

- translation missing: en.field_release deleted (1)

#3 - 11/25/2013 01:13 PM - Dominic Cleal

- Has duplicate Bug #3745: Issue with editing host with mapped disk. added
#4 - 04/28/2014 11:25 AM - Toni Schmidbauer

just a me too. same message with foreman 1.4.2

Operation FAILED: undefined method `thinProvisioned' for #<RbVmomi::VIM::VirtualDiskRawDiskMappingVer1BackingInfo:0x007f04c8e93198>

the admin of the system added a second disk to the vm. is there a workaround available?

thanks

toni

#5 - 04/28/2014 11:57 AM - Toni Schmidbauer

this is fixed in fog version 1.21. we currently run foreman 1.4.2 with fog 1.19. hopefully this is fixed with the next forman update.

in the meantime you just have to change

:thin => vol.backing.thinProvisioned,

 to 

:thin => (vol.backing.thinProvisioned rescue(nil)),

 in fog/lib/fog/vsphere/requests/compute/list_vm_volumes.rb

toni

#6 - 09/26/2014 07:02 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - VMware

#7 - 09/26/2014 07:05 AM - Dominic Cleal

- Related to Feature #6732: [RFE] RAW Disk Mapping in VMware added

#8 - 06/10/2016 03:32 PM - Anonymous

- Status changed from New to Resolved

should be fixed by fog now.
